/rest/patients/labeled-eid/{label}/{eid}

Update a patient record, identified by an arbitrary label and its corresponding identifier value, from its JSON representation. If the user sending the request doesn't have the right to edit the target patient record, no change is performed and an error is returned. If the indicated patient record doesn't exist, however a valid JSON is provided with the query parameter "create" set to true, then a new patient record is created with the provided data; otherwise no change is performed and an error is returned. If multiple records exist with the same given identifier for the given label, no change is performed, and a list of links to each such record is returned. If a field is set in the patient record, but missing in the JSON, then that field is not changed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

the label for the external identifier

string
required

labeled external identifier

Query Params
boolean
Defaults to false

Query parameter for toggling endpoint behaviour

string
enum
Defaults to update

The policy query parameter adjusts the PhenoTips API's behavior when updating a patient record. When update is selected, the API will only update the fields in the patient record that are included in the JSON payload. It should be noted that when the policy query parameter is missing, the API will default to the behavior of the update setting. When replace is selected, the API will completely overwrite the patient record with only what is included in the JSON payload. When merge is selected, the API will merge the JSON payload with the patient record, where possible (like multi-value fields, or arrays of objects). In fields where merging is not possible (like boolean or string fields), the API will default to the behavior of the update setting.

Allowed:
Body Params
string

The identifier given to the patient record by the user. This is usually an identifier generated by another tool, such as an EMR, and entered into PhenoTips to link back to help identify the patient.

labeled_eids
array of objects

An array that holds one or multiple labeled external identifiers.

labeled_eids
string

The user ID of the creator of the patient record. This user may no longer be responsible for or even have access to this patient record.

parental_names
object
sensitive_data
object
patient_tags
object

Contains tags associated with the patient.

contact
object

The contact information of the clinician responsible for a patient.

patient_address
object

The patient's address

patient_name
object
string

F for female, M for male, O for other and U for unknown

clinical-diagnosis
array of objects
clinical-diagnosis
date_of_birth
object

May be a full or partial date

string

The supported options are alive, deceased, aborted, miscarriage, stillborn, unborn

date_of_death
object

May be a full or partial date

ethnicity
object

The ethnicities of the patient and/or the patient's parents. Their ethnicity/ethnicities should be stored as an array.

family_history
object

Information about the patient's family

global_mode_of_inheritance
array of objects

Marks the mode of inheritance of the majority of the patient’s disorders. If a patient has multiple disorders, the array could have multiple objects.

global_mode_of_inheritance
global_age_of_onset
array of objects

Marks the time when the majority of symptoms were first observed and is used in complement with the age_of_onset qualifier that can be optionally associated to each feature or disorder.

global_age_of_onset
prenatal_perinatal_history
object

Information related to the patient's prenatal and perinatal history

measurements
array of objects

An array of measurements taken on a patient. A date of birth is a prerequisite for calculating the percentiles and standard deviations.
This property requires PhenoTips version 7.17 or later.

measurements
apgar
object

The patient's APGAR scores at 1 and 5 minutes

genes
array of objects

The list of candidate, negative, rejected and confirmed causal solved genes. Each object in the list may have a gene name, status, strategy and a comments property.

genes
variants
array of objects
variants
number_variants
array of objects

An array of copy number variants

number_variants
string

The clinical status of the patient, which can be either affected or unaffected.

features
array of objects

A list of all phenotypes marked in the patient record.

features
nonstandard_features
array of objects

List of features that are not contained within the Human Phenotype Ontology, and were entered manually by the user.

nonstandard_features
disorders
array of objects

A list of all the disorders the patient has

disorders
allergies
array of strings

A list of all the environmental, food and drug allergies the patient has.

allergies
notes
object

All the note fields except resolution notes from the patient report are united under this section. Generally the name of the field indicates which section the notes are from.

solved
object

Case resolution

Responses
204

Patient record successfully updated

300

Multiple patient records exist with this labeled external identifier. No patient record was modified.

304

Patient record not modified

401

User not authenticated

403

User not authorized

404

Patient record not found

409

Internal identifier conflict

410

Gone - patient record no longer available

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!